#
# spec file for package salt-shaptools
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# See also https://en.opensuse.org/openSUSE:Specfile_guidelines

Name:           salt-shaptools
Version:        0.2.3
Release:        lp150.5.1
Summary:        Salt modules and states for SAP Applications and SLE-HA components management

License:        Apache-2.0
Url:            https://github.com/SUSE/%{name}
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Salt modules and states for SAP Applications and SLE-HA components management

%prep
%setup -q

%build

%install
pwd
mkdir -p %{buildroot}/srv/salt/_modules
mkdir -p %{buildroot}/srv/salt/_states
cp -R salt/modules/hanamod.py %{buildroot}/srv/salt/_modules
cp -R salt/states/hanamod.py %{buildroot}/srv/salt/_states
cp -R salt/modules/crmshmod.py %{buildroot}/srv/salt/_modules
cp -R salt/states/crmshmod.py %{buildroot}/srv/salt/_states
cp -R salt/modules/drbdmod.py %{buildroot}/srv/salt/_modules
cp -R salt/states/drbdmod.py %{buildroot}/srv/salt/_states
cp -R salt/modules/netweavermod.py %{buildroot}/srv/salt/_modules
cp -R salt/states/netweavermod.py %{buildroot}/srv/salt/_states


%files
%defattr(-,root,root,-)
%if 0%{?sle_version:1} && 0%{?sle_version} < 120300
%doc README.md LICENSE
%else
%doc README.md
%license LICENSE
%endif
/srv/salt/_modules
/srv/salt/_states

%dir %attr(0755, root, salt) /srv/salt
%dir %attr(0755, root, salt) /srv/salt/_modules
%dir %attr(0755, root, salt) /srv/salt/_states

%changelog
* Tue Nov  5 2019 nick wang <nwang@suse.com>
- Create package version 0.2.3 with drbd files renamed.
* Thu Oct 31 2019 Xabier Arbulu <xarbulu@suse.com>
- Create package version 0.2.2 updating how additional_dvds is used
  in netweavermod
* Wed Aug  7 2019 Xabier Arbulu Insausti <xarbulu@suse.com>
- Create first salt modules and states to manage SAP Netweaver
  * Install ASCS SAP instance in a idempotent way
* Tue Jun 11 2019 Xabier Arbulu Insausti <xarbulu@suse.com>
- Create package version 0.2.1 with fixed spec files. Now the package
  is available in all SLE12 and SLE15 versions
  (jsc#SLE-4031, jsc#SLE-4143, boo#1137989)
* Tue Jun  4 2019 Xabier Arbulu Insausti <xarbulu@suse.com>
- Create package version 0.2.0 after adding drbd module
* Thu May 16 2019 Xabier Arbulu Insausti <xarbulu@suse.com>
- Update secondary registration methods to use the new parameters
* Tue May  7 2019 Nick Wang <nwang@suse.com>
- Add salt module and state to manage DRDB resources
* Fri Apr 26 2019 Xabier Arbulu Insausti <xarbulu@suse.com>
- Add ha-cluster-init and ha-cluster-join usage when crmsh version
  is older than 3.0.0
- Add methods to customize sbd and corosync configuration files
* Thu Apr 25 2019 Diego Vinicius Akechi <dakechi@suse.com>
- Renamed the package from salt-saphana to salt-shaptools
  * This package is intended to host SAP Applications and SLE-HA
    salt modules and states, so a more meaningful name is needed.
* Tue Apr 23 2019 Xabier Arbulu Insausti <xarbulu@suse.com>
- Update system replication states constants usage
* Mon Mar  4 2019 xarbulu@suse.com
- Improved the use of keystore access. When the key_name is informed,
  the user_name/user_password is not needed.
- Removed salt warnings because of non usage of 'name' parameter as
  the first parameter of the state.
* Mon Feb 25 2019 dakechi@suse.com
- Improve test case to check the last modification
- Format instance number properly to have 2 digits in configuration file creation
* Wed Feb  6 2019 xarbulu@suse.com
- Update the way crm installation is checked
* Thu Jan 17 2019 xarbulu@suse.com
- Create crmsh cluster_configure new state
* Fri Jan 11 2019 xarbulu@suse.com
- Create crmsh core functionalities salt module and states code
* Thu Dec 20 2018 xarbulu@suse.com
- First package version
